public abstract class PlayerBase {
	public dc player;

	public PlayerBase(dc p) {
		this.player = p;
	}

	public void playerInit() {}

	public boolean onLivingUpdate() {return false;}
	public boolean updatePlayerActionState() {return false;} 
	public boolean handleKeyPress(int i, boolean flag) {return false;}
	
	public boolean writeEntityToNBT(nu tag) {return false;} 
	public boolean readEntityFromNBT(nu tag) {return false;}
	public boolean setEntityDead() { return false; } 
	public boolean onDeath(sn killer) {return false;}
	public boolean respawn() {return false;} 
	public boolean attackEntityFrom(sn attacker, int damage) {return false;}
	public double getDistanceSq(double d, double d1, double d2, double answer) {return answer;} 
	public boolean isInWater(boolean inWater) {return inWater;}
	public boolean onExitGUI() {return false;} 
	public boolean heal(int i) {return false;}
	public boolean canTriggerWalking(boolean canTrigger) {return canTrigger;} 
	public int getPlayerArmorValue(int armor) {return armor;}
	public float getCurrentPlayerStrVsBlock(uu block, float f) {return f;} 
	public boolean moveFlying(float x, float y, float z) {return false;}
	public boolean moveEntity(double x, double y, double z) {return false;}

	public cw sleepInBedAt(int x, int y, int z, cw status) {return status;}
	public float getEntityBrightness(float f, float brightness) {return brightness;} 
	public boolean pushOutOfBlocks(double x, double y, double z) {return false;}
	public boolean onUpdate() {return false;} 
	public void afterUpdate() {}
	public boolean moveEntityWithHeading(float f, float f1) {return false;}
	public boolean isOnLadder(boolean onLadder) {return onLadder;} 
	public boolean isInsideOfMaterial(ln material, boolean inMaterial) {return inMaterial;}
	public boolean isSneaking(boolean sneaking) {return sneaking;} 
	public boolean dropCurrentItem() {return false;}
	public boolean dropPlayerItem(iz itemstack) {return false;} 
	public boolean displayGUIEditSign(yk sign) {return false;}
	public boolean displayGUIChest(lw iinventory) {return false;} 
	public boolean displayWorkbenchGUI(int x, int y, int z) {return false;}
	public boolean displayGUIFurnace(sk furnace) {return false;} 
	public boolean displayGUIDispenser(az dispenser) {return false;}
}